Bug 1616043 - tuned: use enable-netsocket-tstamp-static-key.c on realtime-virtual-host/realtime-virtual-guest profiles
Summary: tuned: use enable-netsocket-tstamp-static-key.c on realtime-virtual-host/real...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Tereza Cerna
URL:
Whiteboard:
Depends On: 1616038
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-14 19:22 UTC by Marcelo Tosatti
Modified: 2018-10-30 10:51 UTC (History)
6 users (show)

Fixed In Version: tuned-2.10.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1619822 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:50:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fixed patch (2.57 KB, patch)
2018-09-06 11:25 UTC, Jaroslav Škarvada
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3172 None None None 2018-10-30 10:51:10 UTC

Description Marcelo Tosatti 2018-08-14 19:22:13 UTC
Once https://bugzilla.redhat.com/show_bug.cgi?id=1616038 
is in, should patch realtime-virtual-host / realtime-virtual-guest
profiles to start / stop enable-netsocket-tstamp-static-key "daemon".

Comment 5 Tereza Cerna 2018-09-06 11:23:18 UTC
Hi, bug found. There is missing section [script] in tuned/realtime-virtual-guest/tuned.conf file.

# cd /usr/lib/tuned/realtime-virtual-guest/tuned.conf
# diff tuned.conf.old tuned.conf.new
8a9,12
> [script]
> script=${i:PROFILE_DIR}/script.sh
>

Comment 6 Tereza Cerna 2018-09-06 11:24:01 UTC
Also there are missing executable rights to script.sh

so, it need:
# chmod +x /usr/lib/tuned/realtime-virtual-guest/script.sh

Comment 7 Jaroslav Škarvada 2018-09-06 11:25:57 UTC
Created attachment 1481262 [details]
Fixed patch

Fixed patch which calls the script.sh from realtime-virtual-guest profile.

Comment 8 Jaroslav Škarvada 2018-09-06 11:27:48 UTC
(In reply to Tereza Cerna from comment #5)
> Hi, bug found. There is missing section [script] in
> tuned/realtime-virtual-guest/tuned.conf file.
> 
> # cd /usr/lib/tuned/realtime-virtual-guest/tuned.conf
> # diff tuned.conf.old tuned.conf.new
> 8a9,12
> > [script]
> > script=${i:PROFILE_DIR}/script.sh
> >

Thanks, fixed in the attached patch.

Comment 9 Jaroslav Škarvada 2018-09-06 11:28:32 UTC
(In reply to Tereza Cerna from comment #6)
> Also there are missing executable rights to script.sh
> 
> so, it need:
> # chmod +x /usr/lib/tuned/realtime-virtual-guest/script.sh

IMHO it shouldn't block the script execution, but also fixed.

Comment 10 Jaroslav Škarvada 2018-09-07 12:36:42 UTC
(In reply to Jaroslav Škarvada from comment #9)
> (In reply to Tereza Cerna from comment #6)
> > Also there are missing executable rights to script.sh
> > 
> > so, it need:
> > # chmod +x /usr/lib/tuned/realtime-virtual-guest/script.sh
> 
> IMHO it shouldn't block the script execution, but also fixed.

Well, it seems it does :) The patch is OK but due to rpmbuild bug 1626473 we need to add workaround into the spec.

Comment 11 Jaroslav Škarvada 2018-09-07 13:09:22 UTC
(In reply to Jaroslav Škarvada from comment #10)
> (In reply to Jaroslav Škarvada from comment #9)
> > (In reply to Tereza Cerna from comment #6)
> > > Also there are missing executable rights to script.sh
> > > 
> > > so, it need:
> > > # chmod +x /usr/lib/tuned/realtime-virtual-guest/script.sh
> > 
> > IMHO it shouldn't block the script execution, but also fixed.
> 
> Well, it seems it does :) The patch is OK but due to rpmbuild bug 1626473 we
> need to add workaround into the spec.

Addressed in tuned-2.10.0-6.el7.

Comment 12 Tereza Cerna 2018-09-10 14:07:13 UTC
Tested in:
    tuned-profiles-nfv-host-2.10.0-6.el7.noarch
    tuned-profiles-nfv-guest-2.10.0-6.el7.noarch
    rt-setup-2.0-6.el7.x86_64
PASS


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   Test profile realtime-virtual-host
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: inactive (dead)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: inactive (dead)
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: inactive (dead)'' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm profile realtime-virtual-host' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm active | grep realtime-virtual-host' (Expected 0, got 0)
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: active (running)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: active (running) since Mon 2018-09-10 16:04:11 CEST; 2s ago
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: active (running)'' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm profile balanced' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm active | grep balanced' (Expected 0, got 0)
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: inactive (dead)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: inactive (dead)
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: inactive (dead)'' (Expected 0, got 0)
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   Duration: 10s
::   Assertions: 7 good, 0 bad
::   RESULT: PASS


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   Test profile realtime-virtual-guest
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: inactive (dead)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: inactive (dead)
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: inactive (dead)'' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm profile realtime-virtual-guest' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm active | grep realtime-virtual-guest' (Expected 0, got 0)
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: active (running)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: active (running) since Mon 2018-09-10 16:04:21 CEST; 2s ago
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: active (running)'' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm profile balanced' (Expected 0, got 0)
[ PASS ] :: Command 'tuned-adm active | grep balanced' (Expected 0, got 0)
[ LOG  ] :: Output of 'systemctl status rt-entsk | grep 'Active: inactive (dead)'':
[ LOG  ] :: --------------- OUTPUT START ---------------
[ LOG  ] :: Active: inactive (dead)
[ LOG  ] :: ---------------  OUTPUT END  ---------------
[ PASS ] :: Command 'systemctl status rt-entsk | grep 'Active: inactive (dead)'' (Expected 0, got 0)
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   Duration: 10s
::   Assertions: 7 good, 0 bad
::   RESULT: PASS

Comment 14 errata-xmlrpc 2018-10-30 10:50:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3172


Note You need to log in before you can comment on or make changes to this bug.